FilterIterator
FilterIterator::__construct
FilterIterator
PHP Manual

# FilterIterator::accept

(PHP 5 >= 5.1.0)

FilterIterator::accept — Check whether the current element of the iterator is acceptable

### Description

public abstract bool FilterIterator::accept ( void )

Returns whether the current element of the iterator is acceptable through this filter.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the current element is acceptable, otherwise `FALSE`.

### Examples

Example #1 FilterIterator::accept() example

`<?php
// This iterator filters all values with less than 10 characters
class LengthFilterIterator extends FilterIterator {
public function accept() {
// Only accept strings with a length of 10 and greater
return strlen(parent::current()) > 10;
}
}
$arrayIterator = new ArrayIterator(array('test1', 'more than 10 characters'));
$lengthFilter = new LengthFilterIterator($arrayIterator);
foreach ($lengthFilter as $value) {
echo $value . "\n";
}
?>`

The above example will output:

    more than 10 characters

FilterIterator
FilterIterator::__construct
FilterIterator
PHP Manual